package java.nio.file;

import java.util.concurrent.TimeUnit;
import java.io.IOException;
import java.io.Closeable;

public interface WatchService extends Closeable
{
    public abstract void close() throws IOException;
    
    public abstract WatchKey poll();
    
    public abstract WatchKey poll(long p0, TimeUnit p1) throws InterruptedException;
    
    public abstract WatchKey take() throws InterruptedException;
}
